XFuVideoRecorder class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# XFuVideoRecorder Class Reference

Utility to help creation of video files from running x-forge applications. More...

`#include <XFuVideoRecorder.h>`

List of all members.

## Public Member Functions

void | tick (XFcGLSurface *aSurface)
| Ticking function. Should be called once per tick after all rendering is done.
virtual | ~XFuVideoRecorder ()
| Virtual destructor.

## Static Public Member Functions

XFuVideoRecorder * | create (const CHAR *aPrefix, INT32 aDesiredFPS)
| Creation function. Framerates such as 24 or 15 are typically good for video.

## Protected Member Functions

| XFuVideoRecorder ()
| Hidden constructor.
virtual void | storeFrame (XFcGLSurface *aSurface)

## Protected Attributes

FLOAT32 | mLastTick
| Last tick handled.
FLOAT32 | mTicksPerFrame
| Ticks each frame takes.
INT32 | mFrame
| Next frame number.
CHAR * | mPrefix

## Detailed Description

Utility to help creation of video files from running x-forge applications.

Definition at line 16 of file XFuVideoRecorder.h.

## Constructor & Destructor Documentation

XFuVideoRecorder::XFuVideoRecorder | ( |  | ) | `[protected]`

| Hidden constructor. Definition at line 14 of file XFuVideoRecorder.cpp. References mFrame, mLastTick, mPrefix, and mTicksPerFrame. Referenced by create().

XFuVideoRecorder::~XFuVideoRecorder | ( |  | ) | `[virtual]`

| Virtual destructor. Definition at line 128 of file XFuVideoRecorder.cpp. References mPrefix.

## Member Function Documentation

XFuVideoRecorder * XFuVideoRecorder::create | ( | const CHAR * | aPrefix,
|  | INT32 | aDesiredFPS
| ) | `[static]`

| Creation function. Framerates such as 24 or 15 are typically good for video. Definition at line 86 of file XFuVideoRecorder.cpp. References mPrefix, mTicksPerFrame, and XFuVideoRecorder().

void XFuVideoRecorder::storeFrame | ( | XFcGLSurface * | aSurface | ) | `[protected, virtual]`

May get several calls with the same frame if framerate is too low. Defined as virtual so that it is possible to create new video store methods. The basic implementation stores 24-bit BMP files.

Definition at line 42 of file XFuVideoRecorder.cpp.

References mFrame.

Referenced by tick().

void XFuVideoRecorder::tick | ( | XFcGLSurface * | aSurface | ) |

| Ticking function. Should be called once per tick after all rendering is done. Definition at line 113 of file XFuVideoRecorder.cpp. References mLastTick, mTicksPerFrame, storeFrame(), and tick(). Referenced by tick().

## Member Data Documentation

INT32 XFuVideoRecorder::mFrame`[protected]`

| Next frame number. Definition at line 23 of file XFuVideoRecorder.h. Referenced by storeFrame(), and XFuVideoRecorder().

FLOAT32 XFuVideoRecorder::mLastTick`[protected]`

| Last tick handled. Definition at line 21 of file XFuVideoRecorder.h. Referenced by tick(), and XFuVideoRecorder().

CHAR* XFuVideoRecorder::mPrefix`[protected]`

| Filename prefix Called by tick() to store a single frame. Definition at line 24 of file XFuVideoRecorder.h. Referenced by create(), XFuVideoRecorder(), and ~XFuVideoRecorder().

FLOAT32 XFuVideoRecorder::mTicksPerFrame`[protected]`

| Ticks each frame takes. Definition at line 22 of file XFuVideoRecorder.h. Referenced by create(), tick(), and XFuVideoRecorder().

The documentation for this class was generated from the following files:

- XFuVideoRecorder.h
- XFuVideoRecorder.cpp

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch